#% global HGrev	1032

Summary:		GTK front-end for X Neural Switcher (xneur)
Name:		gxneur
Version:		0.17.0
Release:		6%{?HGrev:.hg%{HGrev}}%{?dist}

Group:		User Interface/Desktops
License:		GPLv2+
URL:			http://www.xneur.ru
%if 0%{?HGrev}
# Sources now in mercurial. Tarball from author to fix last deprecated error.
Source:		gxneur-%{version}+hg%{HGrev}.orig.tar.gz
%else
Source:		https://launchpad.net/~andrew-crew-kuznetsov/+archive/xneur-stable/+files/%{name}_%{version}.orig.tar.gz
%endif
Source1:		gxneur.desktop

BuildRequires:	desktop-file-utils, pcre-devel, libglade2-devel, enchant-devel
BuildRequires:	gettext-devel, gtk2-devel, GConf2-devel
BuildRequires:	xneur-devel = %{version}
%if 0%{?HGrev}
BuildRequires:	libtool
%endif

# Required versioned because not library used. gxneur only GUI to xneur config
# daemon and relies on concrete xneur futures it provide to write config file
# for them. I hope it should not changed in major version (known exceptions will
# be handled separately).
Requires:		xneur = %{version}

%description
GTK front-end for X Neural Switcher (xneur).

%description -l ru
GTK интерфейс для Интеллектуального переключателя клавиатурных раскладок (xneur)

%prep
%setup -q

# Temporary hack. Problem mailed to upstream author
sed -i 's/DEFAULT_CFLAGS="-Wall -Wextra -Werror -g0 -fPIC -std=gnu99"/DEFAULT_CFLAGS="-Wall -Wextra -g0 -fPIC -std=gnu99"/' configure

%build
%if 0%{?HGrev}
./autogen.sh
%endif

export XNEUR_LIBS="-lxnconfig -lpcre -lX11 -ldl"
%configure
make %{?_smp_mflags}


%install
make DESTDIR=%{buildroot} install

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications	\
	%{SOURCE1}

%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
	if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
	fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ABOUT-NLS COPYING ChangeLog NEWS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/%{name}.1*

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 15 2015 Pavel Alexeev <Pahan@Hubbitus.info> - 0.17.0-4
- Rebuild for fix memory usage in xneur (bz#1175114).
- Make versioned dependency from xnaur without release - allow minor separate rebuilds.

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 2 2013 Pavel Alexeev <Pahan@Hubbitus.info> - 0.17.0-1
- Update to 0.17.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Nov 11 2012 Pavel Alexeev <Pahan@Hubbitus.info> - 0.16.0-1
- New 0.16.0 version.
- Sources migrated from subversion to mercurial.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 0.15.0-5
- Rebuild against PCRE 8.30

* Mon Jan 30 2012 Pavel Alexeev <Pahan@Hubbitus.info> - 0.15.0-4
- Rebuild to fix xneur FBFS in rawhide.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Dec 18 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 0.15.0-2
- Revert back hack to do not stop build on deprecated warning.

* Sun Dec 18 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 0.15.0-1
- Update to 0.15.0 version

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.13.0-2
- Rebuild for new libpng

* Fri Jun 24 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 0.13.0-1
- Update to 0.13 version (request bz#708922).

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0-3.svn859
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Feb 5 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 0.12.0-2.svn859
- Rebuild svn revision 859. See update info for xneur for more details.

* Wed Feb 2 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 0.12.0-1
- New version 0.12.0

* Fri Jan 28 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 0.11.1-2.svn844
- Build postrelease 0.11.1-svn844 in hope it fix Shift + Tab problem.

* Tue Nov 30 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.11.1-1
- New 0.11.1 version.
- BR aspell-devel replaced by enchant-devel.

* Thu Nov 18 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.10.0-4
- Remove empty README and TODO files by insistence of Martin Gieseking.

* Wed Nov 17 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.10.0-3
- Changes inspired by comments in review request.
- License changed to GPLv2+ from GPLv2
- In .desktop file removed icon extension (.png)
- Removed BRs: autoconf, automake, autoheader, libtool as configure script does not rebuilding in packaging process.
- More precise in file including.
- Add BR GConf2-devel

* Fri Oct 8 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.10.0-2
- New 0.10.0 version.

* Wed Aug 11 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9.9-1
- Import from http://mirror.yandex.ru/fedora/russianfedora/russianfedora/free/fedora/releases/13/Everything/source/SRPMS/gxneur-0.9.9-1.fc13.src.rpm
	and fully rewrite.